#ifndef USER_H
#define USER_H

#include <list>

#include "Account.h"
#include "Preferences.h"

struct operation {
  wxString id;
    unsigned int day;
    unsigned int month;
    unsigned int year;
    int amount;
    wxString description;
    wxString category;
    bool fix_cost;
  wxString account;
} ;

class User
{
public:
  ~User();

  wxString _id;
  wxString _name;
  wxString _password;
  std::list<Account*> _accounts;
  std::map<unsigned int, std::map<unsigned int, std::list<operation> >* > _operations;
  Preferences _preferences;
};

#endif
